2010-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CodeGeneration/CodeGenerationCommands.cs: Use
	  delegation methods.

2010-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntroduceFormatItem/IntroduceFormatItemRefactoring.cs:
	  Track API changes.

2010-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoringService.cs: Track API
	  changes.

	* MonoDevelop.Refactoring.ConvertPropery/RemoveBackingStore.cs:
	  Remove empty line of the backing store.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/Change.cs:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/RefactoringOptions.cs:
	* MonoDevelop.Refactoring/ImportSymbolHandler.cs:
	* MonoDevelop.CodeGeneration/PropertyGenerator.cs:
	* MonoDevelop.CodeGeneration/WriteLineGenerator.cs:
	* MonoDevelop.CodeGeneration/CodeGenerationOptions.cs:
	* MonoDevelop.CodeGeneration/AbstractGenerateAction.cs:
	* MonoDevelop.CodeGeneration/CodeGenerationCommands.cs:
	* MonoDevelop.CodeGeneration/OverrideMembersGenerator.cs:
	* MonoDevelop.Refactoring.ConvertPropery/RemoveBackingStore.cs:
	* MonoDevelop.Refactoring.CreateClass/CreateClassCodeGenerator.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	* MonoDevelop.Refactoring.MoveTypeToFile/MoveTypeToFileRefactoring.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementAbstractMembers.cs:
	* MonoDevelop.Refactoring.RefactorImports/RemoveUnusedImportsRefactoring.cs:
	* MonoDevelop.Refactoring.IntroduceFormatItem/IntroduceFormatItemRefactoring.cs:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableRefactoring.cs:
	  Track API changes.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/RefactoringOptions.cs:
	* MonoDevelop.CodeGeneration/WriteLineGenerator.cs:
	* MonoDevelop.CodeGeneration/CodeGenerationOptions.cs:
	* MonoDevelop.CodeGeneration/CodeGenerationCommands.cs:
	* MonoDevelop.Refactoring.ConvertPropery/RemoveBackingStore.cs:
	* MonoDevelop.Refactoring.CreateClass/CreateClassCodeGenerator.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	* MonoDevelop.Refactoring.MoveTypeToFile/MoveTypeToFileRefactoring.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementAbstractMembers.cs:
	* MonoDevelop.Refactoring.RefactorImports/RemoveUnusedImportsRefactoring.cs:
	* MonoDevelop.Refactoring.IntroduceFormatItem/IntroduceFormatItemRefactoring.cs:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableRefactoring.cs:
	  Use texteditordata infrastructure.

2010-07-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantRefactoring.cs:
	* MonoDevelop.Refactoring.IntroduceFormatItem/IntroduceFormatItemRefactoring.cs:
	  Track API changes.

2010-07-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Refactoring/RefactoringOptions.cs:
	* MonoDevelop.CodeGeneration/CodeGenerationOptions.cs: Track
	  ProjectDomService/Parser API.

2010-06-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/ImportSymbolHandler.cs: fixed
	  cut&paste error.

2010-06-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/ImportSymbolHandler.cs: Fixed 'Bug
	  616653 - "import symbol" does not resolve full typenames'.

2010-06-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodDialog.cs:
	  Implemented 'Bug 615701 - Escape should cancel renaming
	  refactor action, not accept it'.

2010-06-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/EncapsulateFieldDialog.cs:
	* MonoDevelop.Refactoring/OverridesImplementsDialog.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodDialog.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementImplicit.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementExplicit.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  Added help windows for refactorings that use the insertion
	  point mode.

2010-06-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Refactoring/OverridesImplementsDialog.cs:
	* MonoDevelop.CodeGeneration/OverrideMembersGenerator.cs:
	  Track API.

2010-06-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  Improved parameter naming of created methods.

2010-06-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  added null check.

2010-06-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/HelperMethods.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  Create method now uses insertion cursor.

2010-06-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  fixed null reference exception.

2010-06-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/HelperMethods.cs:
	* MonoDevelop.CodeGeneration/ToStringGenerator.cs:
	* MonoDevelop.CodeGeneration/PropertyGenerator.cs:
	* MonoDevelop.CodeGeneration/NullCheckGenerator.cs:
	* MonoDevelop.CodeGeneration/WriteLineGenerator.cs:
	* MonoDevelop.Refactoring/EncapsulateFieldDialog.cs:
	* MonoDevelop.CodeGeneration/AbstractGenerateAction.cs:
	* MonoDevelop.Refactoring/OverridesImplementsDialog.cs:
	* MonoDevelop.CodeGeneration/OverrideMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/EqualityMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/RaiseEventMethodGenerator.cs:
	* MonoDevelop.CodeGeneration/CreateConstructorGenerator.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementImplicit.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementExplicit.cs:
	  Code generator get's now used by code completion auto
	  generation & insert code feature.

2010-06-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/EncapsulateFieldDialog.cs:
	* MonoDevelop.Refactoring/OverridesImplementsDialog.cs: Worked
	  on code generation.

2010-06-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/HelperMethods.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementImplicit.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementExplicit.cs:
	  Extracted indent level calculation.

2010-06-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/HelperMethods.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementImplicit.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementExplicit.cs:
	  Worked on refactoring - corrected interface formatting.

2010-06-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/EncapsulateFieldDialog.cs: fixed
	  compilation error.

2010-06-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/HelperMethods.cs:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/EncapsulateFieldDialog.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Worked on insertioncursor edit mode.

2010-05-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/HelperMethods.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodDialog.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Worked on new member positioning.

2010-05-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/HelperMethods.cs:
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodDialog.cs:
	* MonoDevelop.Refactoring.ConvertPropery/CreateBackingStore.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Worked on refactoring.

2010-05-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  Fixed 'Bug 609221 - Refactor->"Create Method" does not infer
	  type for parameter from LINQ query'.

2010-05-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  handle null obj.

2010-05-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ConvertPropery/CreateBackingStore.cs:
	  Fixed 'Bug 609278 - Add backing store doesn't remove
	  namespace from backing field'.

2010-05-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  Fixed 'Bug 558372 - Code parser is interpreting classname as
	  method name'.

2010-05-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: Use
	  ShowCustomDialog (which destroys the dialog when done)
	  instead of RunCustomDialog (which doesn't).

2010-05-25  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Refactoring.Rename/RenameItemDialog.cs:
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs:
	* gtk-gui/MonoDevelop.Refactoring.EncapsulateFieldDialog.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodDialog.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantDialog.cs:
	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantRefactoring.cs:
	  Fixed 'Bug 607994 - Cancelling "Extract Method" dialog needs
	  Esc to be hit twice' & centered refactoring dialogs on the
	  mac.

2010-05-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/VariableLookupVisitor.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Fixed 'Bug 607990 - "Extract Method" refactoring sometimes
	  tries to pass in unnecessary parameter depending on
	  selection'

2010-05-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Fixed 'Bug 607984 - Over-zealous "Declare Local" refactoring
	  renames within string'.

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  More dialog placing.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/MonoDevelop.Refactoring.EncapsulateFieldDialog.cs:
	  Flush.

2010-05-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.RefactorImports/FindTypeReferencesVisitor.cs:
	  Check for valid end position before cutting text.

2010-05-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.RefactorImports/SortImportsRefactoring.cs:
	  Implemented 'Bug 606848 - Organize Usings does not order
	  System before other elements'.

2010-05-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.CreateClass/CreateClassCodeGenerator.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  Implemented 'Bug 580806 - Feature request: Show resolve-menu
	  (extract method) when calling method with wrong signature'.

2010-05-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.MoveTypeToFile/MoveTypeToFileRefactoring.cs:
	  Fixed 'Bug 593525 - Moving a class to a separate file causes
	  attributes for that class, in the original source file...'.

2010-05-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  handle invalid regions.

2010-05-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CodeGeneration/GenerateCodeWindow.cs: Added
	  multi monitor support.

2010-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: fixed warning.

2010-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/ImportSymbolHandler.cs: Track API
	  changes.

2010-05-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableRefactoring.cs:
	  Track api changes in the command service.

2010-05-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.addin.xml: Changed some mac
	  shortcuts.

2010-05-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameItemDialog.cs: Improved
	  the class renaming behaviour. (Bug 603938 - Renaming a Class
	  in a file with multiple classes renames the file)

2010-05-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs: Fixed
	  'Bug 604085 - Renaming C# method inserts wrong name.'.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/ImportSymbolHandler.cs:
	* MonoDevelop.Refactoring/FindReferencesHandler.cs:
	* MonoDevelop.Refactoring/GotoDeclarationHandler.cs:
	* MonoDevelop.CodeGeneration/CodeGenerationOptions.cs:
	* MonoDevelop.Refactoring/FindDerivedClassesHandler.cs:
	* MonoDevelop.Refactoring/AbstractRefactoringCommandHandler.cs:
	  Make use of the Document.Dom property.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/ImportSymbolHandler.cs: Check if the
	  file has a valid compilation unit.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/ImportSymbolHandler.cs: checked for
	  valid dom.

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/ImportSymbolHandler.cs: Fixed 'Bug
	  601738 - Import Type list not sorted'.

2010-04-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/ImportSymbolHandler.cs: Cached
	  import symbol handler data.

2010-04-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ConvertPropery/RemoveBackingStore.cs:
	  Fixed 'Bug 601136 - Remove backing store refactoring is
	  broken'.

2010-04-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Refactoring.addin.xml: Make Mac import symbol
	  consistent with Linux/Windows.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/ImportSymbolHandler.cs: Optimized
	  performance a bit.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/ImportSymbolHandler.cs: fixed
	  'insertNamespace' feature.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/ImportSymbolHandler.cs: Generate
	  descriptions for the types to insert.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs: fixed
	  'Bug 599635 - In-place rename should select name'.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/ImportSymbolHandler.cs: Implemented
	  'Bug 596515 - Import Symbol completion command'.

2010-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/QuickFixHandler.cs: track API
	  changes.

2010-04-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableRefactoring.cs:
	  Fixed unit tests.

2010-04-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameItemDialog.cs: Fixed
	  'Bug 595604 - Renaming a constructor should rename the
	  class'.

2010-04-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/Change.cs:
	* MonoDevelop.Refactoring/RefactoringOptions.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  Use the new TextEditorData property from Document.

2010-04-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/QuickFixHandler.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Fixed unit tests

2010-04-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  fixed 'Bug 595597 - "Create Method" refactoring uses full
	  namespace'.

2010-04-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs:
	  Implemented 'Bug 595585 - Allow in-place variable renaming'.

2010-04-12  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableHandler.cs:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableRefactoring.cs:
	  Fixed 'Bug 595580 - Add default key-bindings for currently
	  unbindable refactoring actions'.

2010-04-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CodeGeneration/GenerateCodeWindow.cs: Fixed 'Bug
	  595175 - Code generator window displays offscreen'.

2010-04-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.RefactorImports/FindTypeReferencesVisitor.cs:
	* MonoDevelop.Refactoring.RefactorImports/RemoveUnusedImportsRefactoring.cs:
	  Fixed 'Bug 595558 - "Remove unused usings" sometimes removes
	  usings that aren't unused'.

2010-04-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: Fixed 'Bug
	  546446 - Find references shows usages of overloads'.

2010-04-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/INRefactoryASTProvider.cs:
	* MonoDevelop.Refactoring.ExtractMethod/VariableLookupVisitor.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Fixed 'Bug 545634 - Create method goes wrong in situation'.

2010-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntroduceFormatItem/IntroduceFormatItemRefactoring.cs:
	  Fixed failing unit test.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Refactoring.addin.xml: Bumped MD version.

2010-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs: Don't
	  rename partial type files when they've a different name than
	  the class name. (Bug 589663 - Rename class doesnt work well
	  with partial types)

2010-03-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoringService.cs: fixed bug
	  when replace changes overlap.

2010-03-18  Levi Bard  <levi@unity3d.com>

	* MonoDevelop.Refactoring/Change.cs: Track API changes.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj: Fix build.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/Change.cs:
	* MonoDevelop.Refactoring/QuickFixHandler.cs:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/RefactoringOptions.cs:
	* MonoDevelop.Refactoring/RefactoringOperation.cs:
	* MonoDevelop.CodeGeneration/ToStringGenerator.cs:
	* MonoDevelop.CodeGeneration/PropertyGenerator.cs:
	* MonoDevelop.CodeGeneration/GenerateCodeWindow.cs:
	* MonoDevelop.CodeGeneration/WriteLineGenerator.cs:
	* MonoDevelop.Refactoring/FindReferencesHandler.cs:
	* MonoDevelop.Refactoring/GotoDeclarationHandler.cs:
	* MonoDevelop.Refactoring/EncapsulateFieldDialog.cs:
	* MonoDevelop.Refactoring.Rename/RenameItemDialog.cs:
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs:
	* MonoDevelop.Refactoring/RefactoringPreviewDialog.cs:
	* MonoDevelop.CodeGeneration/CodeGenerationOptions.cs:
	* MonoDevelop.Refactoring/FindDerivedClassesHandler.cs:
	* MonoDevelop.Refactoring/OverridesImplementsDialog.cs:
	* MonoDevelop.CodeGeneration/AbstractGenerateAction.cs:
	* MonoDevelop.CodeGeneration/CodeGenerationCommands.cs:
	* MonoDevelop.CodeGeneration/EqualityMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/OverrideMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/RaiseEventMethodGenerator.cs:
	* MonoDevelop.CodeGeneration/CreateConstructorGenerator.cs:
	* gtk-gui/MonoDevelop.Refactoring.EncapsulateFieldDialog.cs:
	* MonoDevelop.Refactoring/AbstractRefactoringCommandHandler.cs:
	* MonoDevelop.Refactoring.ConvertPropery/RemoveBackingStore.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodDialog.cs:
	* gtk-gui/MonoDevelop.Refactoring.OverridesImplementsDialog.cs:
	* MonoDevelop.Refactoring.CreateClass/CreateClassCodeGenerator.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementImplicit.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementExplicit.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantDialog.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementAbstractMembers.cs:
	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantRefactoring.cs:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableRefactoring.cs:
	  Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	  MD.Core.Gui and MD.Components into MD.Ide.

2010-03-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CodeGeneration/NullCheckGenerator.cs:
	* MonoDevelop.CodeGeneration/EqualityMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/RaiseEventMethodGenerator.cs:
	* MonoDevelop.Refactoring.RefactorImports/RemoveUnusedImportsRefactoring.cs:
	  Track API changes.

2010-03-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs: Fixed
	  'Bug 587071 - Find references shows a lot of methods with
	  the same name but not from the correct class'.

2010-03-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/QuickFixHandler.cs: Fixed bug in
	  quick fix handler.

2010-03-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/QuickFixHandler.cs:
	* MonoDevelop.Refactoring/RefactoryCommands.cs: Implemented
	  'Bug 582410 - Feature request: Resolve using for extension
	  methods'.

2010-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Added additional null check.

2010-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring/RefactoringPreviewDialog.cs: Track
	  moved diff component.

2010-02-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: Don't explode
	  on docs with no compilation unit.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.CodeGeneration/GenerateCodeWindow.cs:
	* MonoDevelop.Refactoring/RefactoringPreviewDialog.cs:
	* MonoDevelop.CodeGeneration/AbstractGenerateAction.cs: Fix
	  build.

2010-02-18  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/QuickFixHandler.cs:
	* MonoDevelop.Refactoring/RefactoryCommands.cs: Added quick
	  fix handler (currently only namespace resolving is
	  supported).

2010-02-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/Change.cs: The file rename operation
	  now saves the project.

2010-02-18  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.CodeGeneration/GenerateCodeWindow.cs:
	* MonoDevelop.Refactoring/RefactoringPreviewDialog.cs:
	* MonoDevelop.CodeGeneration/AbstractGenerateAction.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethodHandler.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodHandler.cs:
	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantHandler.cs:
	  Implemented 'Bug 580657 - Feature request: Key-binding to
	  frequently used functionality'.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.CodeGeneration/GenerateCodeWindow.cs:
	* MonoDevelop.Refactoring/RefactoringPreviewDialog.cs:
	* MonoDevelop.CodeGeneration/AbstractGenerateAction.cs: Track
	  api changes.

2010-02-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: Re-worked the
	  refactoring submenu.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Refactoring.CreateClass/CreateClassCodeGenerator.cs:
	* MonoDevelop.Refactoring.MoveTypeToFile/MoveTypeToFileRefactoring.cs:
	  Track api changes.

2010-02-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoringPreviewDialog.cs: moved
	  method.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CodeGeneration/GenerateCodeWindow.cs:
	* MonoDevelop.Refactoring/RefactoringPreviewDialog.cs:
	* MonoDevelop.CodeGeneration/AbstractGenerateAction.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Track API changes for lazy loading images.

2010-02-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CodeGeneration/CodeGenerationCommands.cs: Only
	  enable command when text editor has input focus. 

	* MonoDevelop.Refactoring.addin.xml: Insert the Code
	  Generation command into edit menu and editor context menu.

2010-02-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/Change.cs: TextReplace change is now
	  re-usable by the formatting visitor.

2010-02-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  fixed some bugs in the declare local code generator.

2010-01-29  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/FindDerivedClassesHandler.cs: Added
	  FindDerivedClasses command.

2010-01-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs: fixed
	  'Bug 574924 - Find references doesn't work for constructor'.

2010-01-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Refactoring.csproj: Don't use makefiles for
	  building.

2010-01-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/AbstractRefactoringCommandHandler.cs:
	  Handle instantiated types in refactorings.

2010-01-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.MoveTypeToFile/TypeFilterTransformer.cs:
	* MonoDevelop.Refactoring.MoveTypeToFile/MoveTypeToFileRefactoring.cs:
	  fixed 'Bug 531510 - Refactoring of generic types fails with
	  exception'.

2010-01-20  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/generated.cs:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* gtk-gui/MonoDevelop.CodeGeneration.GenerateCodeWindow.cs:
	* gtk-gui/MonoDevelop.Refactoring.Rename.RenameItemDialog.cs:
	* gtk-gui/MonoDevelop.Refactoring.RefactoringPreviewDialog.cs:
	* gtk-gui/MonoDevelop.Refactoring.ExtractMethod.ExtractMethodDialog.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementAbstractMembers.cs:
	* gtk-gui/MonoDevelop.Refactoring.IntroduceConstant.IntroduceConstantDialog.cs:
	  Implemented 'Bug 525257 - Missing "Implement abstract
	  members'.

2010-01-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs: Fix NRE
	  when key is not bound.

2010-01-11  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.CodeGeneration.GenerateCodeWindow.cs:
	* gtk-gui/MonoDevelop.Refactoring.Rename.RenameItemDialog.cs:
	* gtk-gui/MonoDevelop.Refactoring.RefactoringPreviewDialog.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* gtk-gui/MonoDevelop.Refactoring.ExtractMethod.ExtractMethodDialog.cs:
	* gtk-gui/MonoDevelop.Refactoring.IntroduceConstant.IntroduceConstantDialog.cs:
	  Normalized extract method indentation - fixing 'Bug 569370 -
	  Extract method doesn't fix indentation'.

2010-01-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CodeGeneration/NullCheckGenerator.cs: added null
	  check.

2009-12-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Added some null checks.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: Name threads
	  to make debugging easier.

2009-11-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantRefactoring.cs:
	* MonoDevelop.Refactoring.IntroduceFormatItem/IntroduceFormatItemRefactoring.cs:
	  Fixed 'Bug 554260 - Introduce Format Item breaks work with
	  escaped quotes'.

2009-11-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.MoveTypeToFile/MoveTypeToFileRefactoring.cs:
	  Fixed 'Bug 554415 - Exception in Move File To Type
	  refactoring'.

2009-11-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoringPreviewDialog.cs: Fixed
	  'Bug 553557 - Refactoring preview dialog has double-spaced
	  lines'.

2009-11-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntroduceFormatItem/IntroduceFormatItemRefactoring.cs:
	  fixed 'Bug 553091 - Extract format item on unfinished string
	  pulls in code in following line'.

2009-11-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/Change.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.IntroduceFormatItem/IntroduceFormatItemRefactoring.cs:
	  Fixed 'Bug 553122 – Selection has strange offset after
	  refactoring commands'.

2009-11-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Fixed 'Bug 552140 - Exception on refactor to method'.

2009-10-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/Change.cs:
	* MonoDevelop.Refactoring.MoveTypeToFile/MoveTypeToFileRefactoring.cs:
	  fixed 'Bug 551554 - interface rename does not sync project
	  file'.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Refactoring.addin.xml: Bump MD version.

2009-10-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/VariableLookupVisitor.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  declare local/extract method is now much faster on large
	  files.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* MonoDevelop.Refactoring.csproj:
	* gtk-gui/MonoDevelop.CodeGeneration.GenerateCodeWindow.cs:
	* gtk-gui/MonoDevelop.Refactoring.Rename.RenameItemDialog.cs:
	* gtk-gui/MonoDevelop.Refactoring.RefactoringPreviewDialog.cs:
	* gtk-gui/MonoDevelop.Refactoring.ExtractMethod.ExtractMethodDialog.cs:
	* gtk-gui/MonoDevelop.Refactoring.IntroduceConstant.IntroduceConstantDialog.cs:
	  Flush.

2009-10-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs: Fixed
	  issue in CollectMembers.

2009-10-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameItemDialog.cs:
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs: Added
	  support for rename file names of partial classes.

2009-10-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: Fixed "Bug
	  549130 - "resolve" adds using st. at wrong place when
	  namespace and classname conflict".

2009-10-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs: Fixed
	  'Bug 510939 - Find references should report the interface
	  method if the method implements the interface'.

2009-10-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Declare local now generates better variable names.

	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Extract method now trims the strings itself.

2009-10-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ImplementInterface/ImplementImplicit.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementExplicit.cs:
	  Implement interface is now atomic.

	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Fixed 'Bug 548367 - Extract method adds an unwanted newline
	  at the end'.

	* MonoDevelop.Refactoring.MoveTypeToFile/TypeSearchVisitor.cs:
	* MonoDevelop.Refactoring.MoveTypeToFile/TypeFilterTransformer.cs:
	* MonoDevelop.Refactoring.MoveTypeToFile/MoveTypeToFileRefactoring.cs:
	  Fixed 'Bug 545270 - Move type to another file'.

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj: 

2009-10-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoringPreviewDialog.cs: Fixed
	  'Bug 547414 - Gtk-Criticals in refactoring dialog'.

2009-10-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/Change.cs:
	* MonoDevelop.Refactoring.RefactorImports/RefactorImportsHandler.cs:
	  fixed 'Bug 547985 - Remove & Sort using throws exception
	  when when no usings are necessary.'.

2009-10-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/GotoDeclarationHandler.cs: Special
	  handling for field types & names (same as properties).

2009-10-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  check extract method on start, not on menu popup (speed!).

2009-10-11  Mike Krüger  <mkrueger@novell.com>

	* ChangeLog: 

	* MonoDevelop.Refactoring/Change.cs: Update visible documents
	  after refactoring.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/Change.cs: Update visible documents
	  after refactoring.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Fixed 'Bug 545632 - The flag 'generate method comment' in
	  refactoring Create method does nothing'.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameItemDialog.cs:
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs: Fixed
	  'Bug 545671 - Class rename changes wrong filename/classname
	  when filenames/classnames are in conflict'.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodDialog.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Enter accepts now extract method/escape closes dialog.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodDialog.cs:
	  Fixed 'Bug 545635 - In refactoring window the enter key does
	  not hit OK' (means that the extract method dialog remembers
	  the modifier setting).

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Fixed 'Bug 545631 - Extract method gives exception'.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ConvertPropery/RemoveBackingStore.cs:
	* MonoDevelop.Refactoring.CreateClass/CreateClassCodeGenerator.cs:
	  Fixed unit test.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CodeGeneration/GenerateCodeWindow.cs: Call move
	  after show.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Fixed 'Bug 545119 - Refactor -> "Extract Method..." removes
	  comments and new lines'.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.Refactoring.csproj: Mark the *-sharp references
	with SpecificVersion=false.

2009-10-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  fixed naming of new methods.

2009-10-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  declare local now generates a more .NET like name.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Refactoring.addin.xml: Bump MD version.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: added null
	  check.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/AbstractRefactoringCommandHandler.cs:
	* MonoDevelop.Refactoring.RefactorImports/RemoveUnusedImportsRefactoring.cs:
	  Fixed 'Bug 544027 - "Organize Usings" commands should only
	  be visible in usings section'.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: Fixed "Bug
	  543970 - "Goto class part" pad is not focused".

2009-09-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CodeGeneration/WriteLineGenerator.cs: better
	  sort order in writeline code generator: local vars ->
	  parameters -> members. (this is the opposite of the old
	  one).

2009-09-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  Added support for creating an method in an interface type.

2009-09-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/HelperMethods.cs: Fixed failing unit
	  tests.

2009-09-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/HelperMethods.cs:
	  InnerClassTypeReferences now get properly converted.

2009-09-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Don't NRE when command is not key-bound.

2009-09-21  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/RefactoringOptions.cs:
	* MonoDevelop.CodeGeneration/PropertyGenerator.cs:
	* MonoDevelop.CodeGeneration/ToStringGenerator.cs:
	* MonoDevelop.CodeGeneration/NullCheckGenerator.cs:
	* MonoDevelop.CodeGeneration/WriteLineGenerator.cs:
	* MonoDevelop.Refactoring/FindReferencesHandler.cs:
	* MonoDevelop.Refactoring/GotoDeclarationHandler.cs:
	* MonoDevelop.CodeGeneration/AbstractGenerateAction.cs:
	* MonoDevelop.CodeGeneration/EqualityMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/OverrideMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/RaiseEventMethodGenerator.cs:
	* MonoDevelop.CodeGeneration/CreateConstructorGenerator.cs:
	* MonoDevelop.Refactoring/AbstractRefactoringCommandHandler.cs:
	* MonoDevelop.Refactoring.CreateClass/CreateClassCodeGenerator.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.DeclareLocal/GetContainingEmbeddedStatementVisitor.cs:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableRefactoring.cs:
	  Renamed IDomVisitable -> INode

2009-09-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.csproj: fixed project file.

2009-09-18  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	Fix build.

2009-09-18  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring/Change.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	* MonoDevelop.Refactoring.DeclareLocal/GetContainingEmbeddedStatementVisitor.cs:
	  Fixed 'Bug 540055 - refactoring 'create local var' is going
	  wrong in for loop'.

2009-09-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Fixed possible null reference in extract method.

2009-09-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: Fixed 'Bug
	  539729 - Cannot use refactoring operations over a var used
	  in a lock() statement'.

2009-09-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ConvertPropery/RemoveBackingStore.cs:
	  Now getting the correct text file provider for remove
	  backing store refactoring.

2009-09-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/Change.cs:
	* MonoDevelop.Refactoring/RefactoringOptions.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  Fixed Bug 537927 - "Create" refactorings on member method
	  are broken/enh. create method on called member

2009-09-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: In
	  FindReferencesThread, report exceptions to the monitor
	  instead of letting them reach the top of the thread and
	  crash MD.

2009-09-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  Made it a bit more strict where code generator is valid.

2009-09-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.CreateClass/CreateClassCodeGenerator.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  Fixed "Bug 537927 - "Create" refactorings on member method
	  are broken".

2009-09-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: Added shortcut
	  key for encapsulate fields command.

2009-09-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableRefactoring.cs:
	  Added integrate temporary variable to translation.

2009-09-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.RefactorImports/SortImportsRefactoring.cs:
	  Fixed bug in sort usings.

2009-09-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.csproj: 

	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Fixed translation of declare local.

2009-09-09  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: 
	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantRefactoring.cs: 
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs: 
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Make dialogs transient for the root window.

2009-09-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameHandler.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalHandler.cs:
	* MonoDevelop.Refactoring/AbstractRefactoringCommandHandler.cs:
	* MonoDevelop.Refactoring.RefactorImports/RefactorImportsHandler.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Fixed some issues. Always check with IsValid before calling
	  a refactoring.

2009-09-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Improved declare local code generator.

2009-09-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  fixed unassigned variable errors.

2009-09-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/VariableLookupVisitor.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodAstTransformer.cs:
	  worked on extract method.

2009-09-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Refactoring.csproj: Don't require a specific
	  version for Mono.Addins.

2009-09-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/INRefactoryASTProvider.cs: Resolve
	  type now works with templates with >=2 type arguments.

2009-09-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Use shorten type name method.

2009-09-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/RefactoringOptions.cs:
	* MonoDevelop.CodeGeneration/NullCheckGenerator.cs:
	* MonoDevelop.CodeGeneration/CodeGenerationOptions.cs:
	* MonoDevelop.CodeGeneration/OverrideMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/RaiseEventMethodGenerator.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Worked on refactoring/use shorten type name method.

2009-09-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: ResolvedType
	  is no longer used for the resolve namespace feature.
	  Therefore replaced the check with an expression check.

2009-08-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoringOptions.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Worked on declare local variable.

2009-08-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoringOptions.cs:
	* MonoDevelop.Refactoring.ConvertPropery/RemoveBackingStore.cs:
	* MonoDevelop.Refactoring.ConvertPropery/CreateBackingStore.cs:
	  Worked on unit tests.

2009-08-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ConvertPropery/RemoveBackingStore.cs:
	* MonoDevelop.Refactoring.ConvertPropery/CreateBackingStore.cs:
	  Backing store commands did show up in too many context
	  menus.

	* MonoDevelop.Refactoring/RefactoryCommands.cs: Resolve
	  namespace can now resolve conflicts.

	* MonoDevelop.Refactoring.Rename/RenameHandler.cs:
	* MonoDevelop.Refactoring.Rename/RenameItemDialog.cs: Fixed
	  possible rename exceptions.

2009-08-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/Change.cs:
	* MonoDevelop.Refactoring.ExtractMethod/VariableLookupVisitor.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Worked on extract method.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ConvertPropery/RemoveBackingStore.cs:
	  Fixed possible null reference exception.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs:
	* MonoDevelop.Refactoring.ConvertPropery/RemoveBackingStore.cs:
	  Let the code refactorer auto detect the search scope.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/HelperMethods.cs: changed return
	  type.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CodeGeneration/NullCheckGenerator.cs: Only full
	  reference ArgumentNullException when System namespace isn't
	  imported.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CodeGeneration/NullCheckGenerator.cs:
	* MonoDevelop.CodeGeneration/AbstractGenerateAction.cs: Fixed
	  null check generator & abstract generate action statement
	  output.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.CodeGeneration/NullCheckGenerator.cs:
	* MonoDevelop.CodeGeneration/AbstractGenerateAction.cs: Added
	  NullCheckGenerator from Scott Thomas <scpeterson@novell.com>

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ConvertPropery/RemoveBackingStore.cs:
	  Not longer possible to remove backing stores when the field
	  has attributes.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CodeGeneration/AbstractGenerateAction.cs: Fixed
	  parameter members in the code generation action.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/Change.cs:
	* MonoDevelop.Refactoring/RefactoringService.cs: Refactorings
	  are now atomic.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ConvertPropery/RemoveBackingStore.cs:
	* MonoDevelop.Refactoring.ConvertPropery/CreateBackingStore.cs:
	  Worked on refactoring.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring/RefactoringService.cs:
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs:
	* MonoDevelop.Refactoring.ConvertPropery/PropertyVisitor.cs:
	* MonoDevelop.Refactoring.ConvertPropery/CreateBackingStore.cs:
	* MonoDevelop.Refactoring.ConvertPropery/RemoveBackingStore.cs:
	  Improved "remove backing store"/implemented support for
	  overlapping changes.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ConvertPropery/CreateBackingStore.cs:
	  Improved backing store name creation.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring.ConvertPropery:
	* MonoDevelop.Refactoring/HelperMethods.cs:
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs:
	* MonoDevelop.Refactoring.ConvertPropery/CreateBackingStore.cs:
	* MonoDevelop.Refactoring.ConvertPropery/RemoveBackingStore.cs:
	  Added create/remove backing store property refactorings.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.MoveTypeToFile/MoveTypeToFileRefactoring.cs:
	  Move type to file refactoring now works with generic types.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CodeGeneration/ToStringGenerator.cs:
	* MonoDevelop.CodeGeneration/PropertyGenerator.cs:
	* MonoDevelop.CodeGeneration/WriteLineGenerator.cs:
	* MonoDevelop.CodeGeneration/CodeGenerationOptions.cs:
	* MonoDevelop.CodeGeneration/AbstractGenerateAction.cs:
	* MonoDevelop.CodeGeneration/OverrideMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/EqualityMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/RaiseEventMethodGenerator.cs:
	* MonoDevelop.CodeGeneration/CreateConstructorGenerator.cs:
	  Fixed "Bug 533330 - Code generator ignores virtual space
	  when inserting code in body".

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.CodeGeneration/EventMethodGenerator.cs:
	* MonoDevelop.CodeGeneration/CodeGenerationOptions.cs:
	* MonoDevelop.CodeGeneration/OverrideMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/RaiseEventMethodGenerator.cs:
	  Worked on raise event method generator (now it generates a
	  thread safe version).

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CodeGeneration/OverrideMembersGenerator.cs:
	  Fixed "Bug 533681 - Method overriding always uses full
	  namespaces".

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring.ImplementInterface:
	* MonoDevelop.Refactoring/RefactoringOperation.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementExplicit.cs:
	* MonoDevelop.Refactoring.ImplementInterface/ImplementImplicit.cs:
	  Added 'Bug 325224 - Better placing of 'Implement Interface'
	  command'.

2009-08-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CodeGeneration/GenerateCodeWindow.cs: Fix NRE
	  introduced in last commit.

2009-08-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CodeGeneration/GenerateCodeWindow.cs:
	* MonoDevelop.CodeGeneration/CodeGenerationCommands.cs: Don't
	  show the generator window at all if it's not valid.

2009-08-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.CodeGeneration/CodeGenerationOptions.cs: Don't
	  explode when ParsedDocument or CompilationUnit is null.

2009-08-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CodeGeneration/OverrideMembersGenerator.cs:
	  Fixed "Bug 531549 - Quick insert menu adds erroneous
	  override keyword for interfaces".

2009-08-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  Fix out of bounds error when matching bracket is not found.

2009-08-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Refactoring.csproj: Don't make local copies of
	  project references.

2009-08-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: Made
	  refactorer public.

2009-08-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/HelperMethods.cs: Added helper
	  method.

2009-08-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.RefactorImports/SortImportsRefactoring.cs:
	* MonoDevelop.Refactoring.RefactorImports/RemoveUnusedImportsRefactoring.cs:
	  Fixed bug with namespaces.

2009-08-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.CodeGeneration/ToStringGenerator.cs:
	* MonoDevelop.CodeGeneration/PropertyGenerator.cs:
	* MonoDevelop.CodeGeneration/WriteLineGenerator.cs:
	* MonoDevelop.CodeGeneration/EventMethodGenerator.cs:
	* MonoDevelop.CodeGeneration/OverrideMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/EqualityMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/CreateConstructorGenerator.cs:
	  Check IsSpecialName flag.

2009-08-06  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/HelperMethods.cs:
	* MonoDevelop.CodeGeneration/OverrideMembersGenerator.cs:
	* MonoDevelop.Refactoring.RefactorImports/SortImportsRefactoring.cs:
	* MonoDevelop.Refactoring.RefactorImports/RefactorImportsHandler.cs:
	* MonoDevelop.Refactoring.RefactorImports/FindTypeReferencesVisitor.cs:
	* MonoDevelop.Refactoring.RefactorImports/RemoveUnusedImportsRefactoring.cs:
	  Added remove unused usings & sort usings command.

2009-08-06  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring.RefactorImports:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring.Rename/RenameHandler.cs:
	* MonoDevelop.CodeGeneration/GenerateCodeWindow.cs:
	* MonoDevelop.CodeGeneration/AbstractGenerateAction.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalHandler.cs:
	* MonoDevelop.Refactoring/AbstractRefactoringCommandHandler.cs:
	* MonoDevelop.Refactoring.RefactorImports/RefactorImportsHandler.cs:
	* MonoDevelop.Refactoring.RefactorImports/RemoveUnusedImportsRefactoring.cs:
	  Worked on code generation/refactoring.

2009-08-06  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.CodeGeneration/OverrideMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/EqualityMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/CreateConstructorGenerator.cs:
	  Added override member generator.

2009-08-06  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.CodeGeneration/ToStringGenerator.cs:
	* MonoDevelop.CodeGeneration/PropertyGenerator.cs:
	* MonoDevelop.CodeGeneration/WriteLineGenerator.cs:
	* MonoDevelop.CodeGeneration/EventMethodGenerator.cs:
	* MonoDevelop.CodeGeneration/AbstractGenerateAction.cs:
	* MonoDevelop.CodeGeneration/EqualityMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/CreateConstructorGenerator.cs:
	  Worked on quick code generation.

2009-08-05  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.CodeGeneration:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.CodeGeneration/ICodeGenerator.cs:
	* MonoDevelop.Refactoring/RefactoringOptions.cs:
	* MonoDevelop.Refactoring/RefactoringService.cs:
	* MonoDevelop.CodeGeneration/ToStringGenerator.cs:
	* MonoDevelop.CodeGeneration/PropertyGenerator.cs:
	* MonoDevelop.CodeGeneration/WriteLineGenerator.cs:
	* MonoDevelop.CodeGeneration/GenerateCodeWindow.cs:
	* MonoDevelop.CodeGeneration/EventMethodGenerator.cs:
	* MonoDevelop.CodeGeneration/CodeGenerationOptions.cs:
	* MonoDevelop.CodeGeneration/CodeGenerationCommands.cs:
	* MonoDevelop.CodeGeneration/EqualityMembersGenerator.cs:
	* MonoDevelop.CodeGeneration/ReadonlyPropertyGenerator.cs:
	* gtk-gui/MonoDevelop.CodeGeneration.GenerateCodeWindow.cs:
	* MonoDevelop.CodeGeneration/CreateConstructorGenerator.cs:
	  Worked on code generation popup feature.

2009-08-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/VariableLookupVisitor.cs:
	  Only look for local variables or parameters when extracting
	  a method.

2009-08-04  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring.IntroduceFormatItem:
	* MonoDevelop.Refactoring/RefactoringOptions.cs:
	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantRefactoring.cs:
	* MonoDevelop.Refactoring.IntroduceFormatItem/IntroduceFormatItemRefactoring.cs:
	  Added introduce format item refactoring.

2009-08-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantRefactoring.cs:
	  fixed possible null reference.

2009-07-30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Refactoring.MoveTypeToFile/MoveTypeToFileRefactoring.cs:
	  Only enable the move type to file refactoring when the type
	  has a source project. Prevents offering the refactoring for
	  types in dlls.

2009-07-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs: Rename
	  refactoring now takes care of xml docs too.

2009-07-28  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring/HelperMethods.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantRefactoring.cs:
	  Added conversion helper method.

2009-07-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs: Fixed
	  "Bug 524313 - Wrong caret position when exiting local rename
	  link mode".

2009-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoryCommands.cs: Fixed "Bug
	  523947 - Using key command to go to class with parts should
	  offer choice".

2009-07-22  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/FindReferencesHandler.cs:
	* MonoDevelop.Refactoring/GotoDeclarationHandler.cs:
	* MonoDevelop.Refactoring.ExtractMethod/VariableLookupVisitor.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodAstTransformer.cs:
	  Fixed "Bug 523950 - Make Find References keybindable".

2009-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableRefactoring.cs:
	  checked in newest integrate temporary variable.

2009-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableRefactoring.cs:
	  Checked in latest refactoring from andrea.

2009-07-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableRefactoring.cs:
	  Declare local is now more carefully looking at the
	  expression the show up is requested. Removed some debug
	  messages.

2009-07-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantRefactoring.cs:
	  Added insanity check for caret offset (it may be after the
	  document).

2009-07-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoringService.cs:
	* MonoDevelop.Refactoring.ExtractMethod/VariableLookupVisitor.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Worked on unit test support.

2009-07-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.MoveTypeToFile/MoveTypeToFileRefactoring.cs:
	  Fixed possible null reference exception.

2009-07-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantRefactoring.cs:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableRefactoring.cs:
	  Checked in changes from andrea

2009-07-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantRefactoring.cs:
	  Fixed bug in introduce constant refactoring.

2009-07-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs: Rename
	  on parameters/local variables are now done with link edit
	  mode instead of a dialog.

2009-07-14  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring.MoveTypeToFile:
	* MonoDevelop.Refactoring/INRefactoryASTProvider.cs:
	* MonoDevelop.Refactoring.MoveTypeToFile/TypeFilterTransformer.cs:
	* MonoDevelop.Refactoring.MoveTypeToFile/MoveTypeToFileRefactoring.cs:
	  Added move type to own file/rename file refactoring.

2009-07-13  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodAstTransformer.cs:
	  Worked on extract method.

2009-07-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodDialog.cs:
	* MonoDevelop.Refactoring.ExtractMethod/VariableLookupVisitor.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Worked on extract method.

2009-07-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantRefactoring.cs:
	  Improved introduce constant.

2009-07-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/VariableLookupVisitor.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Worked on refactoring.

2009-07-13  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring.Rename/RenameHandler.cs:
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Worked on refactoring/bound rename to F2.

2009-07-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring/RefactoringPreviewDialog.cs: Worked
	  on refactoring preview.

2009-07-10  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring.CreateClass/CreateClassCodeGenerator.cs:
	* MonoDevelop.Refactoring.CreateClass/CreateStructCodeGenerator.cs:
	  Added create struct generator (based on class generator).

2009-07-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableRefactoring.cs:
	  Applied new patch from andrea.

2009-07-10  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/Change.cs:
	* MonoDevelop.Refactoring.CreateClass:
	* MonoDevelop.Refactoring/RefactoringService.cs:
	* MonoDevelop.Refactoring/RefactoringOptions.cs:
	* MonoDevelop.Refactoring/RefactoringPreviewDialog.cs:
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs:
	* MonoDevelop.Refactoring.CreateClass/CreateClassCodeGenerator.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantRefactoring.cs:
	  Worked on refactoring.

2009-07-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	  Create method code generator now selects the method body.

2009-07-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Fixed declare local code generator.

2009-07-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantDialog.cs:
	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantRefactoring.cs:
	  Worked on introduce constant refactoring.

2009-07-09  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring.IntroduceConstant:
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantDialog.cs:
	* MonoDevelop.Refactoring.IntroduceConstant/IntroduceConstantRefactoring.cs:
	* gtk-gui/MonoDevelop.Refactoring.IntroduceConstant.IntroduceConstantDialog.cs:
	  Worked on refactoring.

2009-07-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Handled the extract method case where only one variable is
	  changed (use return instead of ref params).

2009-07-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.ExtractMethod/VariableLookupVisitor.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	  Worked on extract method.

2009-07-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Fixing generic type declarations.

2009-07-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  declare local variable no longer shows up in item context
	  menu.

2009-07-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Improved local variable code generator.

2009-07-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableRefactoring.cs:
	  Checked in changes from andrea.

2009-07-09  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/RefactoringOperation.cs:
	* MonoDevelop.Refactoring/INRefactoryASTProvider.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalHandler.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Added declare local code generator.

2009-07-09  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.DeclareLocal:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/RefactoringOperation.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	* MonoDevelop.Refactoring.DeclareLocal/DeclareLocalCodeGenerator.cs:
	  Worked on refactoring.

2009-07-08  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.Rename:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/Rename.cs:
	* MonoDevelop.Refactoring/RenameItemDialog.cs:
	* MonoDevelop.Refactoring/RefactoringOptions.cs:
	* MonoDevelop.Refactoring.Rename/RenameItemDialog.cs:
	* gtk-gui/MonoDevelop.Refactoring.RenameItemDialog.cs:
	* MonoDevelop.Refactoring.Rename/RenameRefactoring.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethod.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethod.cs:
	* gtk-gui/MonoDevelop.Refactoring.Rename.RenameItemDialog.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodDialog.cs:
	* MonoDevelop.Refactoring.ExtractMethod/VariableLookupVisitor.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodRefactoring.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethodCodeGenerator.cs:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariable.cs:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariableRefactoring.cs:
	  Worked on refactoring.

2009-07-07  Mike Krüger  <mkrueger@novell.com>

	* ChangeLog:
	* Makefile.am:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariable.cs:


2009-07-07  Andrea Krüger  <andrea@icsharpcod.net>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable:
	* MonoDevelop.Refactoring.IntegrateTemporaryVariable/IntegrateTemporaryVariable.cs:
	  Applied patch from Andrea Krüger: Started
	  IntegrateTemporaryVarible refactoring.

2009-07-07  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring/Rename.cs:
	* MonoDevelop.Refactoring/RenameItemDialog.cs:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/RefactoringOptions.cs:
	* MonoDevelop.Refactoring/RefactoringOperation.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethod.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethod.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodDialog.cs:
	  Refactored the refactoring a bit.

2009-07-07  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring.CreateMethod:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring.CreateMethod/CreateMethod.cs:
	  Started create method command.

2009-07-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Refactoring.csproj: Don't local-copy MD project
	  refs.

2009-07-06  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Refactoring.ExtractMethod.ExtractMethodDialog.cs:
	  Fix expand/fill and sizing.

2009-07-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.addin.xml: Bound go to definition to
	  F12

2009-07-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/RefactoryCommands.cs: Added 'goto
	  declaration' command.

2009-07-03  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring/Rename.cs:
	* MonoDevelop.Refactoring/Refactoring.cs:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/RefactoringService.cs:
	* MonoDevelop.Refactoring/RefactoringOperation.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethod.cs:
	  Renamed Refactoring to RefactoringOperation. Fixed command
	  item creation.

2009-07-03  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/Rename.cs:
	* MonoDevelop.Refactoring/Change.cs:
	* MonoDevelop.Refactoring/Refactoring.cs:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/RefactoringService.cs:
	* MonoDevelop.Refactoring/INRefactoryASTProvider.cs:
	* MonoDevelop.Refactoring/RefactoringPreviewDialog.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethod.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodDialog.cs:
	* MonoDevelop.Refactoring.ExtractMethod/VariableLookupVisitor.cs:
	* gtk-gui/MonoDevelop.Refactoring.ExtractMethod.ExtractMethodDialog.cs:
	  Worked on refactoring support.

2009-07-02  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Refactoring.ExtractMethod.ExtractMethodDialog.cs:
	  Save changes to extract mehtod dialog to ensure that they're
	  not lost due stetic bugs.

2009-07-02  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring.ExtractMethod:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethod.cs:
	* MonoDevelop.Refactoring.ExtractMethod/ExtractMethodDialog.cs:
	* gtk-gui/MonoDevelop.Refactoring.ExtractMethod.ExtractMethodDialog.cs:
	  Worked on extract method.

2009-07-01  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring/Rename.cs:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/Change.cs:
	* MonoDevelop.Refactoring/Refactoring.cs:
	* MonoDevelop.Refactoring/RenameItemDialog.cs:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* MonoDevelop.Refactoring/RefactoringService.cs:
	* MonoDevelop.Refactoring/RefactoringPreviewDialog.cs: Moved
	  some refactoring infrastructure from MonoDevlop.Projects.

2009-07-01  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui:
	* Makefile.am:
	* AssemblyInfo.cs:
	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.Refactoring:
	* MonoDevelop.Refactoring.csproj:
	* MonoDevelop.Refactoring/Rename.cs:
	* MonoDevelop.Refactoring.addin.xml:
	* MonoDevelop.Refactoring/RenameItemDialog.cs:
	* MonoDevelop.Refactoring/RefactoryCommands.cs:
	* gtk-gui/MonoDevelop.Refactoring.RenameItemDialog.cs:
	* MonoDevelop.Refactoring/RefactoringPreviewDialog.cs:
	* gtk-gui/MonoDevelop.Refactoring.RefactoringPreviewDialog.cs:
	  Moved refactoring support to an own assembly.

